<?xml version="1.0" encoding="utf-8" ?>
<Recipe Name="CreateDBConnection" xmlns="http://schemas.microsoft.com/pag/gax-core" xmlns:xi="http://www.w3.org/2001/XInclude" Bound="false">
	<xi:include href="Includes/CommonTypeAliases.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Types)" />
	<Caption>Add database connection</Caption>
	<Description>Adds a new database connection string to the application configuration file.</Description>
	<HostData>
		<Icon ID="9965" />
		<CommandBar Menu="WebProject" />
		<CommandBar Menu="Project" />
	</HostData>
	<Arguments>
		<!--<xi:include href="Common/CommonArguments.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Arguments/gax:Argument)" />-->
		<xi:include href="Includes/ConnectionStringWizard.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Recipe/gax:Arguments/gax:Argument)" />
		<Argument Name="HostProject" Type="EnvDTE.Project, EnvDTE, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
			<Converter Type="ProjectConverter" />
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Library.Solution.ValueProviders.CurrentProjectProvider, Microsoft.Practices.RecipeFramework.Library" />
		</Argument>
	</Arguments>
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0">
			<Pages>
				<xi:include href="Includes/ConnectionStringWizard.xml" xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xmlns(gaxw=http://schemas.microsoft.com/pag/gax-wizards) xpointer(/gax:Recipe/gax:GatheringServiceData/gaxw:Wizard/gaxw:Pages/gaxw:Page)" />
			</Pages>
		</Wizard>
	</GatheringServiceData>
	<Actions>
		<Action Name="GetConfiguration" Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.Actions.Configuration.GetConfigurationAction, Microsoft.Practices.SoftwareFactories.ServiceFactory">
			<Input Name="Project" RecipeArgument="HostProject" />
			<Output Name="Configuration" />
		</Action>
		<Action Name="SetConnectionStringEntry" Type="Howest.Guidance.Extensions.Actions.Configuration.SetConnectionStringEntryAction, Howest.Guidance.Extensions">
			<Input Name="ProviderName" RecipeArgument="DataProvider" />
			<Input Name="Configuration" ActionOutput="GetConfiguration.Configuration" />
			<Input Name="ConnectionStringEntryName" RecipeArgument="ConnectionName" />
			<Input Name="ConnectionStringEntryValue" RecipeArgument="ConnectionString" />
		</Action>
		<Action Name="SaveConfiguration" Type="Microsoft.Practices.SoftwareFactories.ServiceFactory.Actions.Configuration.SaveConfigurationAction, Microsoft.Practices.SoftwareFactories.ServiceFactory">
			<Input Name="Configuration" ActionOutput="GetConfiguration.Configuration" />
		</Action>
	</Actions>
</Recipe>